NotificationsResend Job Completion Notification

Resend Job Completion Notification

Looks up a completed encode job and re-POSTs the original completion payload to all configured webhook URLs. Exactly one of index, infile, or outfile must be provided along with zoneid.

curl -X POST "https://api.5centscdn.com/v2/transcoding/notifications/resend" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "zoneid": 1234,
  "index": 0
}'
[
  {
    "time": 1742810400,
    "hook": "https://hooks.example.com/encode",
    "body": [
      {}
    ],
    "respCode": 200,
    "respBody": "OK",
    "error": "example_string"
  }
]
POST
/transcoding/notifications/resend
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
zoneidinteger
Required

Zone ID for which the notification should be resent.

indexinteger
Required

Index of the transcoding job notification to resend.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
zoneidinteger
Required

Zone ID for which the notification should be resent.

Example:
1234
indexinteger
Required

Index of the transcoding job notification to resend.

Example:
0

Responses

timeinteger

Unix timestamp of the call.

hookstring

Webhook URL that was called.

bodyobject[]

JSON payload posted to the webhook.

respCodeinteger

HTTP response status code from the webhook endpoint.

respBodystring

HTTP response body from the webhook endpoint.

errorstring

Exception message if the HTTP call threw an exception.